Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Enum AgentGroupStreamType

    java.lang.Object
      java.lang.Enum<AgentGroupStreamType>
          umontreal.iro.lecuyer.contactcenters.msk.model.AgentGroupStreamType

All Implemented Interfaces:
  Serializable, Comparable<AgentGroupStreamType>

    public enum AgentGroupStreamType

extends Enum<AgentGroupStreamType>

Types of random streams for agent groups.

Enum Constant Summary
`DISCONNECTTEST` Random stream for probability that an agent disconnects after some event occurs.
`DISCONNECTTIME` Random stream for the time an agent remains offline after it disconnects.

Method Summary
`static AgentGroupStreamType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AgentGroupStreamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCONNECTTEST

    public static final AgentGroupStreamType DISCONNECTTEST

  Random stream for probability that an agent disconnects after some event occurs.

### DISCONNECTTIME

    public static final AgentGroupStreamType DISCONNECTTIME

  Random stream for the time an agent remains offline after it disconnects.

Method Detail

### values

    public static AgentGroupStreamType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AgentGroupStreamType c : AgentGroupStreamType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AgentGroupStreamType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.